Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.msv.reader.trex.ng.comp
Class RELAXNGCompReader.StateFactory

    java.lang.Object
      com.sun.msv.reader.trex.TREXBaseReader.StateFactory
          com.sun.msv.reader.trex.ng.RELAXNGReader.StateFactory
              com.sun.msv.reader.trex.ng.comp.RELAXNGCompReader.StateFactory

Enclosing class:
  RELAXNGCompReader

public static class RELAXNGCompReader.StateFactory
extends RELAXNGReader.StateFactory

creates various State object, which in turn parses grammar. parsing behavior can be customized by implementing custom StateFactory.

Constructor Summary
`RELAXNGCompReader.StateFactory()`

Method Summary
`State` | `attribute(State parent, StartTagInfo tag)`
`TREXGrammar` | `createGrammar(ExpressionPool pool, TREXGrammar parent)`

Methods inherited from class com.sun.msv.reader.trex.ng.RELAXNGReader.StateFactory
`data, dataExcept, dataParam, define, divInGrammar, element, externalRef, grammar, includeGrammar, list, nsAnyName, nsExcept, nsNsName, parentRef, redefine, redefineStart, ref, start, text, value`

Methods inherited from class com.sun.msv.reader.trex.TREXBaseReader.StateFactory
`choice, empty, group, includedGrammar, interleave, mixed, notAllowed, nsChoice, nsDifference, nsName, nsNot, oneOrMore, optional, zeroOrMore`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RELAXNGCompReader.StateFactory

    public RELAXNGCompReader.StateFactory()

Method Detail

### attribute

    public State attribute(State parent,
                           StartTagInfo tag)

  Overrides:
    `attribute` in class `RELAXNGReader.StateFactory`

### createGrammar

    public TREXGrammar createGrammar(ExpressionPool pool,
                                     TREXGrammar parent)

  Overrides:
    `createGrammar` in class `TREXBaseReader.StateFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD